//
//  MembershipEditingWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class MembershipEditingWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "MembershipEditing", bundle: nil)

    // MARK: - Module setup -

    init(style: MembershipEditingStyle) {
        let moduleViewController = storyboard.instantiateViewController(ofType: MembershipEditingViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = MembershipEditingInteractor()
        let presenter = MembershipEditingPresenter(view: moduleViewController, interactor: interactor, wireframe: self, style: style)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension MembershipEditingWireframe: MembershipEditingWireframeInterface {
    func detachMembershipEditing() {
        navigationController?.popViewController(animated: true)
    }
    
}
